import path_setting
from in_common.base_request import BaseRequest


class search_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.KEYWORDS_CONFIG)

    #搜索首页-热门搜索模块（点击搜索框即调接口）
    def keywords(self,current_city_id,search_tab):
        self.params["current_city_id"] = current_city_id
        self.params["search_tab"] = search_tab
        return self.api_send(self.data["keywords"])